> ## Documentation Index
> Fetch the complete documentation index at: https://developers.partoo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch AI reply suggestion for reviews

> The AI reply suggestion is a service that generates a response to a review based on the review content.

<b>⚠️ This feature provides reply SUGGESTIONS, NOT AUTOMATIC REPLIES. 
It is NOT designed for fully automating conversations. Similar to the app, 
a human reviewer is expected to validate the suggestion before selecting it
in order to use [reply to a review](/api-reference/reviews/post-a-reply-to-a-review) endpoint ⚠️</b>

**How does the AI reply suggestion work?**

- First, call the Fetch AI reply suggestion service.
- Then retrieve the values and store them on the caller's side. It is possible to request up to 3 suggestions per reply, 
and after that, it's no longer possible; the suggestions are retained once they're made, and that they can be found at the `index` (0, 1, or 2) of the parameters
- Finally, use the suggestion ID and pass it to `reply_suggestion` request body when calling the [reply to a review](/api-reference/reviews/post-a-reply-to-a-review) service to link the response to the suggestion.




## OpenAPI

````yaml /assets/openapi/openapi-bundled.yaml get /reviews/fetch-suggestion/{review_id}/{index}
openapi: 3.1.0
info:
  title: Partoo Rest API
  version: v2
  license:
    name: © Copyright Partoo
    url: https://www.partoo.co/en/gtu-api/
  x-logo:
    url: >-
      https://partoo-client-images.s3.amazonaws.com/logo-partoo-restapi-white.png
  description: >
    ## Introduction

    The Partoo Rest API allows you to automate all the actions that are possible
    to do in the Partoo Web Application.


    The Partoo Rest API can be used for many different purposes:
      - Create/update/delete your businesses & users if you are a client.
      - Create/subscribe/manage organizations, businesses & users if you are a reseller.
      - Retrieve data on businesses you have access to if you are a publisher.
      - ...
servers:
  - url: https://api.partoo.co/v2
    description: Production server
  - url: https://api.sandbox.partoo.co/v2
    description: Sandbox server (dev environment for clients & partners)
security:
  - ApiKeyAuth: []
paths:
  /reviews/fetch-suggestion/{review_id}/{index}:
    get:
      tags:
        - Reviews
      summary: Fetch AI reply suggestion for reviews
      description: >
        The AI reply suggestion is a service that generates a response to a
        review based on the review content.


        <b>⚠️ This feature provides reply SUGGESTIONS, NOT AUTOMATIC REPLIES. 

        It is NOT designed for fully automating conversations. Similar to the
        app, 

        a human reviewer is expected to validate the suggestion before selecting
        it

        in order to use [reply to a
        review](/api-reference/reviews/post-a-reply-to-a-review) endpoint ⚠️</b>


        **How does the AI reply suggestion work?**


        - First, call the Fetch AI reply suggestion service.

        - Then retrieve the values and store them on the caller's side. It is
        possible to request up to 3 suggestions per reply, 

        and after that, it's no longer possible; the suggestions are retained
        once they're made, and that they can be found at the `index` (0, 1, or
        2) of the parameters

        - Finally, use the suggestion ID and pass it to `reply_suggestion`
        request body when calling the [reply to a
        review](/api-reference/reviews/post-a-reply-to-a-review) service to link
        the response to the suggestion.
      operationId: fetchReviewReplySuggestion
      parameters:
        - in: path
          name: review_id
          required: true
          schema:
            type: integer
            example: 34
            description: ID of the review for which we want an AI suggestion
        - in: path
          name: index
          required: true
          schema:
            type: integer
            minimum: 0
            maximum: 2
            description: Index of the reply suggestion (0, 1, or 2)
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReplySuggestion'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
components:
  schemas:
    ReplySuggestion:
      description: Review's reply suggestion
      type: object
      properties:
        id:
          $ref: '#/components/schemas/ReplySuggestionId'
        index:
          type: integer
          description: Index of the reply suggestion
          example: 1
        review_id:
          $ref: '#/components/schemas/ReviewId'
        content:
          type: string
          description: The content of the reply suggestion
          example: Dear Client, thanks for your kind feedback.
        report:
          type: object
          description: Report details if the suggestion was reported (can be null)
          properties:
            id:
              type: integer
              description: Report id
              example: 3587
            user_id:
              type: string
              description: User id of the user who reported the suggestion
              example: 52e10f004ee65a020
            created_at:
              type: string
              format: datetime
              description: Date the review suggestion report was created on
              example: '2025-05-12T12:57:21.895170Z'
    ReplySuggestionId:
      type: integer
      description: Reply suggestion id
      example: 820459
    ReviewId:
      type: integer
      description: Review id
      example: 34
  responses:
    '400':
      description: Your request is incorrect
      content:
        application/json:
          schema:
            description: |
              Error that occcurs when your request is incorrect
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  json:
                    type: object
    '401':
      description: You are not authenticated
      content:
        application/json:
          schema:
            description: Error that occurs when you are not authenticated
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authentication:
                    type: string
                    default: User not authenticated
    '403':
      description: |
        You are not allowed to perform this action
      content:
        application/json:
          schema:
            description: >
              Error that occurs when you are authenticated but you are trying to
              perform an action you are not allowed to perform
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authorization:
                    type: string
                    default: Operation not allowed
  securitySchemes:
    ApiKeyAuth:
      description: >
        The authentication system on Partoo API is using API Key that should be
        put in the header of the request (the name of the header is `x-APIKey`).
        An api_key is linked to a user. This user's role will give you different
        access level to the API features.
      type: apiKey
      in: header
      name: x-APIKey

````